/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.internal.ui.views.attributes.page;

import java.util.List;

import org.eclipse.birt.report.designer.internal.ui.views.attributes.provider.NamedExpressionsHandleProvier;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

/**
 * Named expression page
 */

public class NamedExpressionsPage extends AttributePage
{

	private FormPage namedExpressionPage;

	public NamedExpressionsPage( Composite parent, int style )
	{
		super( parent, style );
	}

	protected void buildUI( )
	{
		setLayout( new GridLayout(  ) );
		namedExpressionPage = new FormPage( this,
				FormPage.SIMPLE_FUNCTION,
				new NamedExpressionsHandleProvier( ),
				true);
		namedExpressionPage.setLayoutData( new GridData( GridData.FILL_BOTH ) );
	}

	public void setInput( List elements )
	{
		super.setInput( elements );
		namedExpressionPage.setInput( input );
	}

}
